Package Base Details: qemu-git

Git Clone URL: https://aur.archlinux.org/qemu-git.git (read-only)
Keywords: kvm qemu
Submitter: None
Maintainer: FredBezies
Last Packager: FredBezies
Votes: 25
Popularity: 0.000084
First Submitted: 2009-09-19 20:02
Last Updated: 2019-10-09 20:10

Latest Comments

« First ‹ Previous ... 16 17 18 19 20 21

Anonymous comment on 2010-11-08 06:14

You have kernel26-headers and linux-api-headers installed, correct?

If so, I would try and see if I could change this: "cc1: warnings being treated as errors".
I think they're using "-Werror" or "-Werror=$something" in their compile, and if you can change that (maybe with a -Wno-error=$something, or less appealing by sed-ing the Makefile responsible), you could get it to build.
Can't test at the moment or I would.

FredBezies commented on 2010-11-04 06:32

Got this error when trying to build recent source code :

CC i386-softmmu/vhost_net.o
cc1: warnings being treated as errors
In file included from /usr/src/linux-2.6.36-ARCH/include/linux/vhost.h:13:0,
from /home/fred/download/qemu-git/src/qemu-build/hw/vhost_net.c:22:
/usr/src/linux-2.6.36-ARCH/include/linux/types.h:13:2: erreur: #warning "Attempt to use kernel headers from user space, see http://kernelnewbies.org/KernelHeaders"
make[1]: *** [vhost_net.o] Erreur 1
make: *** [subdir-i386-softmmu] Erreur 2

Any idea to get it fixed ?

FredBezies commented on 2010-09-17 06:58

Adopted it, and made it "better" using official kvm PKGBUILD.

FredBezies commented on 2010-08-08 07:38

Here is what you can do :

1) Remove 70-kqemu-rules not longer used.
2) Add qemu-install script from official package :
http://repos.archlinux.org/wsvn/packages/qemu/trunk/qemu.install
3) Replace your 65-kvm.rules by the "official" one :
http://repos.archlinux.org/wsvn/packages/qemu/trunk/65-kvm.rules

It could be great if you do so.

Thanks.

FredBezies commented on 2010-08-08 06:58

Also 70-kqemu not longer usable with qemu-0.12.x

Anonymous comment on 2010-04-18 18:47

Missing dependency - vde2.